/*
GEST - Gameboy emulator
Copyright (C) 2003-2004 TM

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef GFX_H
#define GFX_H

#include "types.h"

extern byte tile_signed_trans[256];
extern byte invert_table[256];

extern unsigned short line_buffer[160];

#define VID_EN_BG     1
#define VID_EN_WIN    2
#define VID_EN_SPRITE 4

extern int video_enable;

extern void (*draw_line_tile)();
void draw_sprites();

void draw_line_tile_DMG();
void draw_line_tile_GBC();


#endif
